package hpds_node

import (
	"git.hpds.cc/Component/network"
	"git.hpds.cc/Component/network/frame"
)

type metadata struct{}

func (m *metadata) Encode() []byte {
	return nil
}

type metadataBuilder struct {
	m *metadata
}

func newMetadataBuilder() network.MetadataBuilder {
	return &metadataBuilder{
		m: &metadata{},
	}
}

func (builder *metadataBuilder) Build(f *frame.HandshakeFrame) (network.Metadata, error) {
	return builder.m, nil
}

func (builder *metadataBuilder) Decode(buf []byte) (network.Metadata, error) {
	return builder.m, nil
}
